## rust-sysinfo 0.9.5

=== Makefile ===
#
# Sysinfo
#
# Copyright (c) 2017 Guillaume Gomez
#

#
# Please note that this Makefile only generates the c example.
#

IDIR = ./src
CC = gcc
CFLAGS = -I$(IDIR)

ODIR = examples/src
LDIR = ./target/debug/
LDIR-RELEASE = ./target/release/

LIBS = -lsysinfo -lpthread

_DEPS = sysinfo.h
DEPS = $(patsubst %,$(IDIR)/%,$(_DEPS))

_OBJ = simple.o
OBJ = $(patsubst %,$(ODIR)/%,$(_OBJ))


simple: $(OBJ)
	@echo "Compiling in debug mode"
	cargo build --features=c-interface
	gcc -o $@ $^ $(CFLAGS) -L$(LDIR) $(LIBS)

release: $(OBJ)
	@echo "Compiling in release mode"
	cargo build --features=c-interface --release
	gcc -o simple $^ $(CFLAGS) -L$(LDIR-RELEASE) $(LIBS)

$(ODIR)/%.o: %.c $(DEPS)
	$(CC) -c -o $@ $< $(CFLAGS)

.PHONY: simple

clean:
	@echo "Cleaning mess"
	rm -f $(ODIR)/*.o *~ core $(INCDIR)/*~

## rust-sysinfo 0.8.0

=== debian/changelog ===
rust-sysinfo (0.8.0-1) unstable; urgency=medium

  * Package sysinfo 0.8.0 from crates.io using debcargo 2.2.9

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Wed, 26 Dec 2018 15:01:09 -0800

=== debian/control ===
Source: rust-sysinfo
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 10),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-cfg-if-0.1+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-rayon-1+default-dev <!nocheck>,
 librust-winapi-0.3+default-dev <!nocheck>,
 librust-winapi-0.3+fileapi-dev <!nocheck>,
 librust-winapi-0.3+handleapi-dev <!nocheck>,
 librust-winapi-0.3+ioapiset-dev <!nocheck>,
 librust-winapi-0.3+minwindef-dev <!nocheck>,
 librust-winapi-0.3+pdh-dev <!nocheck>,
 librust-winapi-0.3+psapi-dev <!nocheck>,
 librust-winapi-0.3+synchapi-dev <!nocheck>,
 librust-winapi-0.3+sysinfoapi-dev <!nocheck>,
 librust-winapi-0.3+tlhelp32-dev <!nocheck>,
 librust-winapi-0.3+winbase-dev <!nocheck>,
 librust-winapi-0.3+winerror-dev <!nocheck>,
 librust-winapi-0.3+winioctl-dev <!nocheck>,
 librust-winapi-0.3+winnt-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sysinfo]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sysinfo

Package: librust-sysinfo-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cfg-if-0.1+default-dev,
 librust-libc-0.2+default-dev,
 librust-rayon-1+default-dev,
 librust-winapi-0.3+default-dev,
 librust-winapi-0.3+fileapi-dev,
 librust-winapi-0.3+handleapi-dev,
 librust-winapi-0.3+ioapiset-dev,
 librust-winapi-0.3+minwindef-dev,
 librust-winapi-0.3+pdh-dev,
 librust-winapi-0.3+psapi-dev,
 librust-winapi-0.3+synchapi-dev,
 librust-winapi-0.3+sysinfoapi-dev,
 librust-winapi-0.3+tlhelp32-dev,
 librust-winapi-0.3+winbase-dev,
 librust-winapi-0.3+winerror-dev,
 librust-winapi-0.3+winioctl-dev,
 librust-winapi-0.3+winnt-dev
Provides:
 librust-sysinfo+c-interface-dev (= ${binary:Version}),
 librust-sysinfo+default-dev (= ${binary:Version}),
 librust-sysinfo-0-dev (= ${binary:Version}),
 librust-sysinfo-0+c-interface-dev (= ${binary:Version}),
 librust-sysinfo-0+default-dev (= ${binary:Version}),
 librust-sysinfo-0.8-dev (= ${binary:Version}),
 librust-sysinfo-0.8+c-interface-dev (= ${binary:Version}),
 librust-sysinfo-0.8+default-dev (= ${binary:Version}),
 librust-sysinfo-0.8.0-dev (= ${binary:Version}),
 librust-sysinfo-0.8.0+c-interface-dev (= ${binary:Version}),
 librust-sysinfo-0.8.0+default-dev (= ${binary:Version})
Description: Handle processes - Rust source code
 This package contains the source for the Rust sysinfo crate, packaged by
 debcargo for use with cargo and dh-cargo.

## rust-sysinfo 0.9.5

=== debian/changelog ===
rust-sysinfo (0.9.5-2) unstable; urgency=medium

  * Team upload.
  * Package sysinfo 0.9.5 from crates.io using debcargo 2.2.10

  * Source upload for rebuild...

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 28 Oct 2019 21:02:08 +0100

rust-sysinfo (0.9.5-1) unstable; urgency=medium

  * Team upload.
  * Package sysinfo 0.9.5 from crates.io using debcargo 2.4.0

  [ Wolfgang Silbermayr ]
  * Package sysinfo 0.9.1 from crates.io using debcargo 2.4.0

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 Oct 2019 11:00:31 +0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: rust
 Priority: optional
 Build-Depends: debhelper (>= 11),
- dh-cargo (>= 10),
+ dh-cargo (>= 15),
  cargo:native <!nocheck>,
  rustc:native <!nocheck>,
  libstd-rust-dev <!nocheck>,
  librust-cfg-if-0.1+default-dev <!nocheck>,
+ librust-doc-comment-0.3+default-dev <!nocheck>,
  librust-libc-0.2+default-dev <!nocheck>,
  librust-rayon-1+default-dev <!nocheck>,
  librust-winapi-0.3+default-dev <!nocheck>,
@@ -36,6 +37,7 @@
 Depends:
  ${misc:Depends},
  librust-cfg-if-0.1+default-dev,
+ librust-doc-comment-0.3+default-dev,
  librust-libc-0.2+default-dev,
  librust-rayon-1+default-dev,
  librust-winapi-0.3+default-dev,
@@ -52,18 +54,35 @@
  librust-winapi-0.3+winerror-dev,
  librust-winapi-0.3+winioctl-dev,
  librust-winapi-0.3+winnt-dev
+Suggests:
+ librust-sysinfo+debug-dev (= ${binary:Version})
 Provides:
  librust-sysinfo+c-interface-dev (= ${binary:Version}),
  librust-sysinfo+default-dev (= ${binary:Version}),
  librust-sysinfo-0-dev (= ${binary:Version}),
  librust-sysinfo-0+c-interface-dev (= ${binary:Version}),
  librust-sysinfo-0+default-dev (= ${binary:Version}),
- librust-sysinfo-0.8-dev (= ${binary:Version}),
- librust-sysinfo-0.8+c-interface-dev (= ${binary:Version}),
- librust-sysinfo-0.8+default-dev (= ${binary:Version}),
- librust-sysinfo-0.8.0-dev (= ${binary:Version}),
- librust-sysinfo-0.8.0+c-interface-dev (= ${binary:Version}),
- librust-sysinfo-0.8.0+default-dev (= ${binary:Version})
+ librust-sysinfo-0.9-dev (= ${binary:Version}),
+ librust-sysinfo-0.9+c-interface-dev (= ${binary:Version}),
+ librust-sysinfo-0.9+default-dev (= ${binary:Version}),
+ librust-sysinfo-0.9.5-dev (= ${binary:Version}),
+ librust-sysinfo-0.9.5+c-interface-dev (= ${binary:Version}),
+ librust-sysinfo-0.9.5+default-dev (= ${binary:Version})
 Description: Handle processes - Rust source code
  This package contains the source for the Rust sysinfo crate, packaged by
  debcargo for use with cargo and dh-cargo.
+
+Package: librust-sysinfo+debug-dev
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ librust-sysinfo-dev (= ${binary:Version}),
+ librust-libc-0.2+extra-traits-dev
+Provides:
+ librust-sysinfo-0+debug-dev (= ${binary:Version}),
+ librust-sysinfo-0.9+debug-dev (= ${binary:Version}),
+ librust-sysinfo-0.9.5+debug-dev (= ${binary:Version})
+Description: Handle processes - feature "debug"
+ This metapackage enables feature debug for the Rust sysinfo crate, by pulling
+ in any additional dependencies needed by that feature.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sysinfo-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sysinfo .*/crates/sysinfo/@ANY_VERSION@/download

## rust-sysinfo 0.13.2

=== debian/changelog ===
rust-sysinfo (0.13.2-3) unstable; urgency=medium

  * Team upload.
  * Fix typo in debcargo.toml.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 14 Apr 2020 14:43:45 +0200

rust-sysinfo (0.13.2-2) unstable; urgency=medium

  * Team upload.
  * Ignore test failures.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 14 Apr 2020 11:02:43 +0200

rust-sysinfo (0.13.2-1) unstable; urgency=medium

  * Team upload.

  [ Andrej Shadura ]
  * Package sysinfo 0.13.2 from crates.io using debcargo 2.4.2.
  * Disable (by removing) the disk_list test.

  [ Sylvestre Ledru ]
  * Package sysinfo 0.12.0 from crates.io using debcargo 2.4.0.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 14 Apr 2020 10:28:25 +0200

rust-sysinfo (0.9.6-1) unstable; urgency=medium

  * Package sysinfo 0.9.6 from crates.io using debcargo 2.4.0

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Sun, 10 Nov 2019 13:55:06 +0100

=== debian/control ===
Source: rust-sysinfo
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-cfg-if-0.1+default-dev <!nocheck>,
 librust-doc-comment-0.3+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-ntapi-0.3+default-dev <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>,
 librust-rayon-1+default-dev <!nocheck>,
 librust-winapi-0.3+combaseapi-dev <!nocheck>,
 librust-winapi-0.3+default-dev <!nocheck>,
 librust-winapi-0.3+fileapi-dev <!nocheck>,
 librust-winapi-0.3+handleapi-dev <!nocheck>,
 librust-winapi-0.3+ifdef-dev <!nocheck>,
 librust-winapi-0.3+ioapiset-dev <!nocheck>,
 librust-winapi-0.3+lmaccess-dev <!nocheck>,
 librust-winapi-0.3+lmapibuf-dev <!nocheck>,
 librust-winapi-0.3+lmcons-dev <!nocheck>,
 librust-winapi-0.3+memoryapi-dev <!nocheck>,
 librust-winapi-0.3+minwindef-dev <!nocheck>,
 librust-winapi-0.3+netioapi-dev <!nocheck>,
 librust-winapi-0.3+objidl-dev <!nocheck>,
 librust-winapi-0.3+oleauto-dev <!nocheck>,
 librust-winapi-0.3+pdh-dev <!nocheck>,
 librust-winapi-0.3+powerbase-dev <!nocheck>,
 librust-winapi-0.3+psapi-dev <!nocheck>,
 librust-winapi-0.3+rpcdce-dev <!nocheck>,
 librust-winapi-0.3+shellapi-dev <!nocheck>,
 librust-winapi-0.3+synchapi-dev <!nocheck>,
 librust-winapi-0.3+sysinfoapi-dev <!nocheck>,
 librust-winapi-0.3+wbemcli-dev <!nocheck>,
 librust-winapi-0.3+winbase-dev <!nocheck>,
 librust-winapi-0.3+winerror-dev <!nocheck>,
 librust-winapi-0.3+winioctl-dev <!nocheck>,
 librust-winapi-0.3+winnt-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sysinfo]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sysinfo

# FIXME (packages."(name)".section) debcargo auto-generated summaries are very long, consider overriding

Package: librust-sysinfo-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cfg-if-0.1+default-dev,
 librust-doc-comment-0.3+default-dev,
 librust-libc-0.2+default-dev,
 librust-ntapi-0.3+default-dev,
 librust-once-cell-1+default-dev,
 librust-rayon-1+default-dev,
 librust-winapi-0.3+combaseapi-dev,
 librust-winapi-0.3+default-dev,
 librust-winapi-0.3+fileapi-dev,
 librust-winapi-0.3+handleapi-dev,
 librust-winapi-0.3+ifdef-dev,
 librust-winapi-0.3+ioapiset-dev,
 librust-winapi-0.3+lmaccess-dev,
 librust-winapi-0.3+lmapibuf-dev,
 librust-winapi-0.3+lmcons-dev,
 librust-winapi-0.3+memoryapi-dev,
 librust-winapi-0.3+minwindef-dev,
 librust-winapi-0.3+netioapi-dev,
 librust-winapi-0.3+objidl-dev,
 librust-winapi-0.3+oleauto-dev,
 librust-winapi-0.3+pdh-dev,
 librust-winapi-0.3+powerbase-dev,
 librust-winapi-0.3+psapi-dev,
 librust-winapi-0.3+rpcdce-dev,
 librust-winapi-0.3+shellapi-dev,
 librust-winapi-0.3+synchapi-dev,
 librust-winapi-0.3+sysinfoapi-dev,
 librust-winapi-0.3+wbemcli-dev,
 librust-winapi-0.3+winbase-dev,
 librust-winapi-0.3+winerror-dev,
 librust-winapi-0.3+winioctl-dev,
 librust-winapi-0.3+winnt-dev
Suggests:
 librust-sysinfo+debug-dev (= ${binary:Version})
Provides:
 librust-sysinfo+c-interface-dev (= ${binary:Version}),
 librust-sysinfo+default-dev (= ${binary:Version}),
 librust-sysinfo-0-dev (= ${binary:Version}),
 librust-sysinfo-0+c-interface-dev (= ${binary:Version}),
 librust-sysinfo-0+default-dev (= ${binary:Version}),
 librust-sysinfo-0.13-dev (= ${binary:Version}),
 librust-sysinfo-0.13+c-interface-dev (= ${binary:Version}),
 librust-sysinfo-0.13+default-dev (= ${binary:Version}),
 librust-sysinfo-0.13.2-dev (= ${binary:Version}),
 librust-sysinfo-0.13.2+c-interface-dev (= ${binary:Version}),
 librust-sysinfo-0.13.2+default-dev (= ${binary:Version})
Description: Get system information such as processes, processors, disks, components and networks - Rust source code
 This package contains the source for the Rust sysinfo crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: librust-sysinfo+debug-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-sysinfo-dev (= ${binary:Version}),
 librust-libc-0.2+extra-traits-dev
Provides:
 librust-sysinfo-0+debug-dev (= ${binary:Version}),
 librust-sysinfo-0.13+debug-dev (= ${binary:Version}),
 librust-sysinfo-0.13.2+debug-dev (= ${binary:Version})
Description: Get system information such as processes, processors, disks, components and networks - feature "debug"
 This metapackage enables feature "debug" for the Rust sysinfo crate, by pulling
 in any additional dependencies needed by that feature.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.13.2 --all-targets --all-features
Features: test-name=@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.13.2 --all-targets --no-default-features
Features: test-name=librust-sysinfo-dev
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.13.2 --all-targets --features debug
Features: test-name=librust-sysinfo+debug-dev
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable, flaky

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sysinfo-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sysinfo .*/crates/sysinfo/@ANY_VERSION@/download

## rust-sysinfo 0.23.13

=== debian/changelog ===
rust-sysinfo (0.23.13-2) unstable; urgency=medium

  * Team upload.
  * Package sysinfo 0.23.13 from crates.io using debcargo 2.5.0

 -- Peter Michael Green <plugwash@debian.org>  Sun, 26 Jun 2022 03:34:17 +0000

rust-sysinfo (0.23.13-1) unstable; urgency=medium

  * Team upload.
  * Package sysinfo 0.23.13 from crates.io using debcargo 2.5.0 (Closes: 1013137)
  * Fix/ignore tests that fail in chroot envrionments where no disks
    are visible.

  [ Wolfgang Silbermayr ]
  * Package sysinfo 0.22.5 from crates.io using debcargo 2.5.0
  * Add patch to ignore tests which wont't work in Debian's isolated build
    environment
  * Collapse features
  * Add patch to relax dependency versions

 -- Peter Michael Green <plugwash@debian.org>  Fri, 24 Jun 2022 02:07:15 +0000

=== debian/control ===
Source: rust-sysinfo
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-cfg-if-1+default-dev <!nocheck>,
 librust-core-foundation-sys-0.8+default-dev <!nocheck>,
 librust-libc-0.2+default-dev (>= 0.2.80-~~) <!nocheck>,
 librust-ntapi-0.3+default-dev <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>,
 librust-rayon-1+default-dev (>= 1.4-~~) <!nocheck>,
 librust-winapi-0.3+combaseapi-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+default-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+fileapi-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+handleapi-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+ifdef-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+ioapiset-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+lmaccess-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+lmapibuf-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+lmcons-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+memoryapi-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+minwindef-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+netioapi-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+objidl-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+oleauto-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+pdh-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+powerbase-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+psapi-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+rpcdce-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+shellapi-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+std-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+synchapi-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+sysinfoapi-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+wbemcli-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+winbase-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+winerror-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+winioctl-dev (>= 0.3.9-~~) <!nocheck>,
 librust-winapi-0.3+winnt-dev (>= 0.3.9-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sysinfo]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sysinfo
Rules-Requires-Root: no

Package: librust-sysinfo-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cfg-if-1+default-dev,
 librust-core-foundation-sys-0.8+default-dev,
 librust-libc-0.2+default-dev (>= 0.2.80-~~),
 librust-libc-0.2+extra-traits-dev (>= 0.2.80-~~),
 librust-ntapi-0.3+default-dev,
 librust-once-cell-1+default-dev,
 librust-rayon-1+default-dev (>= 1.4-~~),
 librust-winapi-0.3+combaseapi-dev (>= 0.3.9-~~),
 librust-winapi-0.3+default-dev (>= 0.3.9-~~),
 librust-winapi-0.3+fileapi-dev (>= 0.3.9-~~),
 librust-winapi-0.3+handleapi-dev (>= 0.3.9-~~),
 librust-winapi-0.3+ifdef-dev (>= 0.3.9-~~),
 librust-winapi-0.3+ioapiset-dev (>= 0.3.9-~~),
 librust-winapi-0.3+lmaccess-dev (>= 0.3.9-~~),
 librust-winapi-0.3+lmapibuf-dev (>= 0.3.9-~~),
 librust-winapi-0.3+lmcons-dev (>= 0.3.9-~~),
 librust-winapi-0.3+memoryapi-dev (>= 0.3.9-~~),
 librust-winapi-0.3+minwindef-dev (>= 0.3.9-~~),
 librust-winapi-0.3+netioapi-dev (>= 0.3.9-~~),
 librust-winapi-0.3+objidl-dev (>= 0.3.9-~~),
 librust-winapi-0.3+oleauto-dev (>= 0.3.9-~~),
 librust-winapi-0.3+pdh-dev (>= 0.3.9-~~),
 librust-winapi-0.3+powerbase-dev (>= 0.3.9-~~),
 librust-winapi-0.3+psapi-dev (>= 0.3.9-~~),
 librust-winapi-0.3+rpcdce-dev (>= 0.3.9-~~),
 librust-winapi-0.3+shellapi-dev (>= 0.3.9-~~),
 librust-winapi-0.3+std-dev (>= 0.3.9-~~),
 librust-winapi-0.3+synchapi-dev (>= 0.3.9-~~),
 librust-winapi-0.3+sysinfoapi-dev (>= 0.3.9-~~),
 librust-winapi-0.3+wbemcli-dev (>= 0.3.9-~~),
 librust-winapi-0.3+winbase-dev (>= 0.3.9-~~),
 librust-winapi-0.3+winerror-dev (>= 0.3.9-~~),
 librust-winapi-0.3+winioctl-dev (>= 0.3.9-~~),
 librust-winapi-0.3+winnt-dev (>= 0.3.9-~~)
Provides:
 librust-sysinfo+apple-app-store-dev (= ${binary:Version}),
 librust-sysinfo+apple-sandbox-dev (= ${binary:Version}),
 librust-sysinfo+c-interface-dev (= ${binary:Version}),
 librust-sysinfo+debug-dev (= ${binary:Version}),
 librust-sysinfo+default-dev (= ${binary:Version}),
 librust-sysinfo+multithread-dev (= ${binary:Version}),
 librust-sysinfo+rayon-dev (= ${binary:Version}),
 librust-sysinfo+unknown-ci-dev (= ${binary:Version}),
 librust-sysinfo-0-dev (= ${binary:Version}),
 librust-sysinfo-0+apple-app-store-dev (= ${binary:Version}),
 librust-sysinfo-0+apple-sandbox-dev (= ${binary:Version}),
 librust-sysinfo-0+c-interface-dev (= ${binary:Version}),
 librust-sysinfo-0+debug-dev (= ${binary:Version}),
 librust-sysinfo-0+default-dev (= ${binary:Version}),
 librust-sysinfo-0+multithread-dev (= ${binary:Version}),
 librust-sysinfo-0+rayon-dev (= ${binary:Version}),
 librust-sysinfo-0+unknown-ci-dev (= ${binary:Version}),
 librust-sysinfo-0.23-dev (= ${binary:Version}),
 librust-sysinfo-0.23+apple-app-store-dev (= ${binary:Version}),
 librust-sysinfo-0.23+apple-sandbox-dev (= ${binary:Version}),
 librust-sysinfo-0.23+c-interface-dev (= ${binary:Version}),
 librust-sysinfo-0.23+debug-dev (= ${binary:Version}),
 librust-sysinfo-0.23+default-dev (= ${binary:Version}),
 librust-sysinfo-0.23+multithread-dev (= ${binary:Version}),
 librust-sysinfo-0.23+rayon-dev (= ${binary:Version}),
 librust-sysinfo-0.23+unknown-ci-dev (= ${binary:Version}),
 librust-sysinfo-0.23.13-dev (= ${binary:Version}),
 librust-sysinfo-0.23.13+apple-app-store-dev (= ${binary:Version}),
 librust-sysinfo-0.23.13+apple-sandbox-dev (= ${binary:Version}),
 librust-sysinfo-0.23.13+c-interface-dev (= ${binary:Version}),
 librust-sysinfo-0.23.13+debug-dev (= ${binary:Version}),
 librust-sysinfo-0.23.13+default-dev (= ${binary:Version}),
 librust-sysinfo-0.23.13+multithread-dev (= ${binary:Version}),
 librust-sysinfo-0.23.13+rayon-dev (= ${binary:Version}),
 librust-sysinfo-0.23.13+unknown-ci-dev (= ${binary:Version})
Description: Crate used to get a system's information - Rust source code
 This package contains the source for the Rust sysinfo crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.23.13 --all-targets --all-features
Features: test-name=rust-sysinfo:@
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.1-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.23.13 --all-targets --no-default-features --features apple-app-store
Features: test-name=librust-sysinfo-dev:apple-app-store
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.1-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.23.13 --all-targets --no-default-features --features apple-sandbox
Features: test-name=librust-sysinfo-dev:apple-sandbox
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.1-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.23.13 --all-targets --no-default-features --features c-interface
Features: test-name=librust-sysinfo-dev:c-interface
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.23.13 --all-targets --no-default-features --features debug
Features: test-name=librust-sysinfo-dev:debug
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.23.13 --all-targets 
Features: test-name=librust-sysinfo-dev:default
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.23.13 --all-targets --no-default-features --features multithread
Features: test-name=librust-sysinfo-dev:multithread
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.23.13 --all-targets --no-default-features --features rayon
Features: test-name=librust-sysinfo-dev:rayon
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.23.13 --all-targets --no-default-features --features unknown-ci
Features: test-name=librust-sysinfo-dev:unknown-ci
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.1-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.23.13 --all-targets --no-default-features
Features: test-name=librust-sysinfo-dev:
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.1-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-sysinfo 0.26.7

=== debian/changelog ===
rust-sysinfo (0.26.7-2) unstable; urgency=medium

  * Team upload.
  * Package sysinfo 0.26.7 from crates.io using debcargo 2.6.0
  * Make test_wait_non_child more robust, hopefully fixing sporadic failures
    on arm*.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 17 Dec 2022 17:40:26 +0000

rust-sysinfo (0.26.7-1) unstable; urgency=medium

  * Team upload.
  * Package sysinfo 0.26.7 from crates.io using debcargo 2.6.0 (Closes: #1024135)
  * Drop relax-deps.diff, no longer needed.
  * Drop fix-char-types.diff, fixed upstream.
  * Update ignore-tests-failing-in-build-environment.diff and
    ignore-tests-failing-debci for new upstream.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 20 Nov 2022 04:13:41 +0000

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,16 @@
  libstd-rust-dev <!nocheck>,
  librust-cfg-if-1+default-dev <!nocheck>,
  librust-core-foundation-sys-0.8+default-dev <!nocheck>,
- librust-libc-0.2+default-dev (>= 0.2.80-~~) <!nocheck>,
- librust-ntapi-0.3+default-dev <!nocheck>,
+ librust-libc-0.2+default-dev (>= 0.2.112-~~) <!nocheck>,
+ librust-ntapi-0.4+default-dev <!nocheck>,
  librust-once-cell-1+default-dev <!nocheck>,
- librust-rayon-1+default-dev (>= 1.4-~~) <!nocheck>,
+ librust-rayon-1+default-dev (>= 1.5.1-~~) <!nocheck>,
  librust-winapi-0.3+combaseapi-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+default-dev (>= 0.3.9-~~) <!nocheck>,
+ librust-winapi-0.3+errhandlingapi-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+fileapi-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+handleapi-dev (>= 0.3.9-~~) <!nocheck>,
+ librust-winapi-0.3+heapapi-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+ifdef-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+ioapiset-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+lmaccess-dev (>= 0.3.9-~~) <!nocheck>,
@@ -24,12 +26,14 @@
  librust-winapi-0.3+memoryapi-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+minwindef-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+netioapi-dev (>= 0.3.9-~~) <!nocheck>,
+ librust-winapi-0.3+ntlsa-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+objidl-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+oleauto-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+pdh-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+powerbase-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+psapi-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+rpcdce-dev (>= 0.3.9-~~) <!nocheck>,
+ librust-winapi-0.3+securitybaseapi-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+shellapi-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+std-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+synchapi-dev (>= 0.3.9-~~) <!nocheck>,
@@ -42,9 +46,10 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Wolfgang Silbermayr <wolfgang@silbermayr.at>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sysinfo]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sysinfo
+X-Cargo-Crate: sysinfo
 Rules-Requires-Root: no
 
 Package: librust-sysinfo-dev
@@ -54,15 +59,17 @@
  ${misc:Depends},
  librust-cfg-if-1+default-dev,
  librust-core-foundation-sys-0.8+default-dev,
- librust-libc-0.2+default-dev (>= 0.2.80-~~),
- librust-libc-0.2+extra-traits-dev (>= 0.2.80-~~),
- librust-ntapi-0.3+default-dev,
+ librust-libc-0.2+default-dev (>= 0.2.112-~~),
+ librust-libc-0.2+extra-traits-dev (>= 0.2.112-~~),
+ librust-ntapi-0.4+default-dev,
  librust-once-cell-1+default-dev,
- librust-rayon-1+default-dev (>= 1.4-~~),
+ librust-rayon-1+default-dev (>= 1.5.1-~~),
  librust-winapi-0.3+combaseapi-dev (>= 0.3.9-~~),
  librust-winapi-0.3+default-dev (>= 0.3.9-~~),
+ librust-winapi-0.3+errhandlingapi-dev (>= 0.3.9-~~),
  librust-winapi-0.3+fileapi-dev (>= 0.3.9-~~),
  librust-winapi-0.3+handleapi-dev (>= 0.3.9-~~),
+ librust-winapi-0.3+heapapi-dev (>= 0.3.9-~~),
  librust-winapi-0.3+ifdef-dev (>= 0.3.9-~~),
  librust-winapi-0.3+ioapiset-dev (>= 0.3.9-~~),
  librust-winapi-0.3+lmaccess-dev (>= 0.3.9-~~),
@@ -71,12 +78,14 @@
  librust-winapi-0.3+memoryapi-dev (>= 0.3.9-~~),
  librust-winapi-0.3+minwindef-dev (>= 0.3.9-~~),
  librust-winapi-0.3+netioapi-dev (>= 0.3.9-~~),
+ librust-winapi-0.3+ntlsa-dev (>= 0.3.9-~~),
  librust-winapi-0.3+objidl-dev (>= 0.3.9-~~),
  librust-winapi-0.3+oleauto-dev (>= 0.3.9-~~),
  librust-winapi-0.3+pdh-dev (>= 0.3.9-~~),
  librust-winapi-0.3+powerbase-dev (>= 0.3.9-~~),
  librust-winapi-0.3+psapi-dev (>= 0.3.9-~~),
  librust-winapi-0.3+rpcdce-dev (>= 0.3.9-~~),
+ librust-winapi-0.3+securitybaseapi-dev (>= 0.3.9-~~),
  librust-winapi-0.3+shellapi-dev (>= 0.3.9-~~),
  librust-winapi-0.3+std-dev (>= 0.3.9-~~),
  librust-winapi-0.3+synchapi-dev (>= 0.3.9-~~),
@@ -104,24 +113,24 @@
  librust-sysinfo-0+multithread-dev (= ${binary:Version}),
  librust-sysinfo-0+rayon-dev (= ${binary:Version}),
  librust-sysinfo-0+unknown-ci-dev (= ${binary:Version}),
- librust-sysinfo-0.23-dev (= ${binary:Version}),
- librust-sysinfo-0.23+apple-app-store-dev (= ${binary:Version}),
- librust-sysinfo-0.23+apple-sandbox-dev (= ${binary:Version}),
- librust-sysinfo-0.23+c-interface-dev (= ${binary:Version}),
- librust-sysinfo-0.23+debug-dev (= ${binary:Version}),
- librust-sysinfo-0.23+default-dev (= ${binary:Version}),
- librust-sysinfo-0.23+multithread-dev (= ${binary:Version}),
- librust-sysinfo-0.23+rayon-dev (= ${binary:Version}),
- librust-sysinfo-0.23+unknown-ci-dev (= ${binary:Version}),
- librust-sysinfo-0.23.13-dev (= ${binary:Version}),
- librust-sysinfo-0.23.13+apple-app-store-dev (= ${binary:Version}),
- librust-sysinfo-0.23.13+apple-sandbox-dev (= ${binary:Version}),
- librust-sysinfo-0.23.13+c-interface-dev (= ${binary:Version}),
- librust-sysinfo-0.23.13+debug-dev (= ${binary:Version}),
- librust-sysinfo-0.23.13+default-dev (= ${binary:Version}),
- librust-sysinfo-0.23.13+multithread-dev (= ${binary:Version}),
- librust-sysinfo-0.23.13+rayon-dev (= ${binary:Version}),
- librust-sysinfo-0.23.13+unknown-ci-dev (= ${binary:Version})
+ librust-sysinfo-0.26-dev (= ${binary:Version}),
+ librust-sysinfo-0.26+apple-app-store-dev (= ${binary:Version}),
+ librust-sysinfo-0.26+apple-sandbox-dev (= ${binary:Version}),
+ librust-sysinfo-0.26+c-interface-dev (= ${binary:Version}),
+ librust-sysinfo-0.26+debug-dev (= ${binary:Version}),
+ librust-sysinfo-0.26+default-dev (= ${binary:Version}),
+ librust-sysinfo-0.26+multithread-dev (= ${binary:Version}),
+ librust-sysinfo-0.26+rayon-dev (= ${binary:Version}),
+ librust-sysinfo-0.26+unknown-ci-dev (= ${binary:Version}),
+ librust-sysinfo-0.26.7-dev (= ${binary:Version}),
+ librust-sysinfo-0.26.7+apple-app-store-dev (= ${binary:Version}),
+ librust-sysinfo-0.26.7+apple-sandbox-dev (= ${binary:Version}),
+ librust-sysinfo-0.26.7+c-interface-dev (= ${binary:Version}),
+ librust-sysinfo-0.26.7+debug-dev (= ${binary:Version}),
+ librust-sysinfo-0.26.7+default-dev (= ${binary:Version}),
+ librust-sysinfo-0.26.7+multithread-dev (= ${binary:Version}),
+ librust-sysinfo-0.26.7+rayon-dev (= ${binary:Version}),
+ librust-sysinfo-0.26.7+unknown-ci-dev (= ${binary:Version})
 Description: Crate used to get a system's information - Rust source code
  This package contains the source for the Rust sysinfo crate, packaged by
  debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.26.7 --all-targets --all-features
Features: test-name=rust-sysinfo:@
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.26.7 --all-targets --no-default-features --features apple-app-store
Features: test-name=librust-sysinfo-dev:apple-app-store
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.26.7 --all-targets --no-default-features --features apple-sandbox
Features: test-name=librust-sysinfo-dev:apple-sandbox
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.26.7 --all-targets --no-default-features --features c-interface
Features: test-name=librust-sysinfo-dev:c-interface
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.26.7 --all-targets --no-default-features --features debug
Features: test-name=librust-sysinfo-dev:debug
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.26.7 --all-targets
Features: test-name=librust-sysinfo-dev:default
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.26.7 --all-targets --no-default-features --features multithread
Features: test-name=librust-sysinfo-dev:multithread
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.26.7 --all-targets --no-default-features --features rayon
Features: test-name=librust-sysinfo-dev:rayon
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.26.7 --all-targets --no-default-features --features unknown-ci
Features: test-name=librust-sysinfo-dev:unknown-ci
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.26.7 --all-targets --no-default-features
Features: test-name=librust-sysinfo-dev:
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-sysinfo 0.28.4

=== debian/changelog ===
rust-sysinfo (0.28.4-4) unstable; urgency=medium

  * Team upload.
  * Package sysinfo 0.28.4 from crates.io using debcargo 2.6.1
  * Skip test_physical_core_numbers on arm32
  * Skip test_refresh_tasks on all architectures.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 12 Dec 2023 23:56:51 +0000

rust-sysinfo (0.28.4-3) unstable; urgency=medium

  * Team upload.
  * Package sysinfo 0.28.4 from crates.io using debcargo 2.6.1
  * Don't fail tests on arm32 if CPU speed is unavailable.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 12 Dec 2023 02:09:23 +0000

rust-sysinfo (0.28.4-2) unstable; urgency=medium

  * Team upload.
  * Package sysinfo 0.28.4 from crates.io using debcargo 2.6.0
  * Use a busy wait instead of a sleep in check_cpu_usage to hopefully
    prompt some CPU usage.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 01 Jul 2023 00:31:42 +0000

rust-sysinfo (0.28.4-1) unstable; urgency=medium

  * Team upload.
  * Package sysinfo 0.28.4 from crates.io using debcargo 2.6.0
  * Drop fix-race-in-test-wait-non-child.diff, a similar fix has been merged
    upstream.
  * Ignore newly introduced test check_all_process_uids_resolvable, there is
    no gaurantee that all uids are resolvabl on an arbitary test system.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 28 Jun 2023 21:50:06 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 12),
  dh-cargo (>= 25),
  cargo:native <!nocheck>,
- rustc:native <!nocheck>,
+ rustc:native (>= 1.59) <!nocheck>,
  libstd-rust-dev <!nocheck>,
  librust-cfg-if-1+default-dev <!nocheck>,
  librust-core-foundation-sys-0.8+default-dev <!nocheck>,
@@ -20,6 +20,7 @@
  librust-winapi-0.3+heapapi-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+ifdef-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+ioapiset-dev (>= 0.3.9-~~) <!nocheck>,
+ librust-winapi-0.3+iphlpapi-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+lmaccess-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+lmapibuf-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+lmcons-dev (>= 0.3.9-~~) <!nocheck>,
@@ -33,6 +34,7 @@
  librust-winapi-0.3+powerbase-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+psapi-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+rpcdce-dev (>= 0.3.9-~~) <!nocheck>,
+ librust-winapi-0.3+sddl-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+securitybaseapi-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+shellapi-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+std-dev (>= 0.3.9-~~) <!nocheck>,
@@ -42,11 +44,12 @@
  librust-winapi-0.3+winbase-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+winerror-dev (>= 0.3.9-~~) <!nocheck>,
  librust-winapi-0.3+winioctl-dev (>= 0.3.9-~~) <!nocheck>,
- librust-winapi-0.3+winnt-dev (>= 0.3.9-~~) <!nocheck>
+ librust-winapi-0.3+winnt-dev (>= 0.3.9-~~) <!nocheck>,
+ librust-winapi-0.3+winsock2-dev (>= 0.3.9-~~) <!nocheck>
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Wolfgang Silbermayr <wolfgang@silbermayr.at>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sysinfo]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sysinfo
 X-Cargo-Crate: sysinfo
@@ -64,6 +67,7 @@
  librust-ntapi-0.4+default-dev,
  librust-once-cell-1+default-dev,
  librust-rayon-1+default-dev (>= 1.5.1-~~),
+ librust-serde-1+default-dev (>= 1.0.152-~~),
  librust-winapi-0.3+combaseapi-dev (>= 0.3.9-~~),
  librust-winapi-0.3+default-dev (>= 0.3.9-~~),
  librust-winapi-0.3+errhandlingapi-dev (>= 0.3.9-~~),
@@ -72,6 +76,7 @@
  librust-winapi-0.3+heapapi-dev (>= 0.3.9-~~),
  librust-winapi-0.3+ifdef-dev (>= 0.3.9-~~),
  librust-winapi-0.3+ioapiset-dev (>= 0.3.9-~~),
+ librust-winapi-0.3+iphlpapi-dev (>= 0.3.9-~~),
  librust-winapi-0.3+lmaccess-dev (>= 0.3.9-~~),
  librust-winapi-0.3+lmapibuf-dev (>= 0.3.9-~~),
  librust-winapi-0.3+lmcons-dev (>= 0.3.9-~~),
@@ -85,6 +90,7 @@
  librust-winapi-0.3+powerbase-dev (>= 0.3.9-~~),
  librust-winapi-0.3+psapi-dev (>= 0.3.9-~~),
  librust-winapi-0.3+rpcdce-dev (>= 0.3.9-~~),
+ librust-winapi-0.3+sddl-dev (>= 0.3.9-~~),
  librust-winapi-0.3+securitybaseapi-dev (>= 0.3.9-~~),
  librust-winapi-0.3+shellapi-dev (>= 0.3.9-~~),
  librust-winapi-0.3+std-dev (>= 0.3.9-~~),
@@ -94,7 +100,8 @@
  librust-winapi-0.3+winbase-dev (>= 0.3.9-~~),
  librust-winapi-0.3+winerror-dev (>= 0.3.9-~~),
  librust-winapi-0.3+winioctl-dev (>= 0.3.9-~~),
- librust-winapi-0.3+winnt-dev (>= 0.3.9-~~)
+ librust-winapi-0.3+winnt-dev (>= 0.3.9-~~),
+ librust-winapi-0.3+winsock2-dev (>= 0.3.9-~~)
 Provides:
  librust-sysinfo+apple-app-store-dev (= ${binary:Version}),
  librust-sysinfo+apple-sandbox-dev (= ${binary:Version}),
@@ -103,6 +110,7 @@
  librust-sysinfo+default-dev (= ${binary:Version}),
  librust-sysinfo+multithread-dev (= ${binary:Version}),
  librust-sysinfo+rayon-dev (= ${binary:Version}),
+ librust-sysinfo+serde-dev (= ${binary:Version}),
  librust-sysinfo+unknown-ci-dev (= ${binary:Version}),
  librust-sysinfo-0-dev (= ${binary:Version}),
  librust-sysinfo-0+apple-app-store-dev (= ${binary:Version}),
@@ -112,25 +120,27 @@
  librust-sysinfo-0+default-dev (= ${binary:Version}),
  librust-sysinfo-0+multithread-dev (= ${binary:Version}),
  librust-sysinfo-0+rayon-dev (= ${binary:Version}),
+ librust-sysinfo-0+serde-dev (= ${binary:Version}),
  librust-sysinfo-0+unknown-ci-dev (= ${binary:Version}),
- librust-sysinfo-0.26-dev (= ${binary:Version}),
- librust-sysinfo-0.26+apple-app-store-dev (= ${binary:Version}),
- librust-sysinfo-0.26+apple-sandbox-dev (= ${binary:Version}),
- librust-sysinfo-0.26+c-interface-dev (= ${binary:Version}),
- librust-sysinfo-0.26+debug-dev (= ${binary:Version}),
- librust-sysinfo-0.26+default-dev (= ${binary:Version}),
- librust-sysinfo-0.26+multithread-dev (= ${binary:Version}),
- librust-sysinfo-0.26+rayon-dev (= ${binary:Version}),
- librust-sysinfo-0.26+unknown-ci-dev (= ${binary:Version}),
- librust-sysinfo-0.26.7-dev (= ${binary:Version}),
- librust-sysinfo-0.26.7+apple-app-store-dev (= ${binary:Version}),
- librust-sysinfo-0.26.7+apple-sandbox-dev (= ${binary:Version}),
- librust-sysinfo-0.26.7+c-interface-dev (= ${binary:Version}),
- librust-sysinfo-0.26.7+debug-dev (= ${binary:Version}),
- librust-sysinfo-0.26.7+default-dev (= ${binary:Version}),
- librust-sysinfo-0.26.7+multithread-dev (= ${binary:Version}),
- librust-sysinfo-0.26.7+rayon-dev (= ${binary:Version}),
- librust-sysinfo-0.26.7+unknown-ci-dev (= ${binary:Version})
+ librust-sysinfo-0.28-dev (= ${binary:Version}),
+ librust-sysinfo-0.28+apple-app-store-dev (= ${binary:Version}),
+ librust-sysinfo-0.28+apple-sandbox-dev (= ${binary:Version}),
+ librust-sysinfo-0.28+c-interface-dev (= ${binary:Version}),
+ librust-sysinfo-0.28+debug-dev (= ${binary:Version}),
+ librust-sysinfo-0.28+default-dev (= ${binary:Version}),
+ librust-sysinfo-0.28+multithread-dev (= ${binary:Version}),
+ librust-sysinfo-0.28+rayon-dev (= ${binary:Version}),
+ librust-sysinfo-0.28+serde-dev (= ${binary:Version}),
+ librust-sysinfo-0.28+unknown-ci-dev (= ${binary:Version}),
+ librust-sysinfo-0.28.4-dev (= ${binary:Version}),
+ librust-sysinfo-0.28.4+apple-app-store-dev (= ${binary:Version}),
+ librust-sysinfo-0.28.4+apple-sandbox-dev (= ${binary:Version}),
+ librust-sysinfo-0.28.4+c-interface-dev (= ${binary:Version}),
+ librust-sysinfo-0.28.4+debug-dev (= ${binary:Version}),
+ librust-sysinfo-0.28.4+default-dev (= ${binary:Version}),
+ librust-sysinfo-0.28.4+multithread-dev (= ${binary:Version}),
+ librust-sysinfo-0.28.4+rayon-dev (= ${binary:Version}),
+ librust-sysinfo-0.28.4+serde-dev (= ${binary:Version}),
+ librust-sysinfo-0.28.4+unknown-ci-dev (= ${binary:Version})
 Description: Crate used to get a system's information - Rust source code
- This package contains the source for the Rust sysinfo crate, packaged by
- debcargo for use with cargo and dh-cargo.
+ Source code for Debianized Rust crate "sysinfo"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.28.4 --all-targets --all-features
Features: test-name=rust-sysinfo:@
Depends: dh-cargo (>= 18), librust-serde-json-1+default-dev, librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.28.4 --all-targets --no-default-features --features apple-app-store
Features: test-name=librust-sysinfo-dev:apple-app-store
Depends: dh-cargo (>= 18), librust-serde-json-1+default-dev, librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.28.4 --all-targets --no-default-features --features apple-sandbox
Features: test-name=librust-sysinfo-dev:apple-sandbox
Depends: dh-cargo (>= 18), librust-serde-json-1+default-dev, librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.28.4 --all-targets --no-default-features --features c-interface
Features: test-name=librust-sysinfo-dev:c-interface
Depends: dh-cargo (>= 18), librust-serde-json-1+default-dev, librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.28.4 --all-targets --no-default-features --features debug
Features: test-name=librust-sysinfo-dev:debug
Depends: dh-cargo (>= 18), librust-serde-json-1+default-dev, librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.28.4 --all-targets
Features: test-name=librust-sysinfo-dev:default
Depends: dh-cargo (>= 18), librust-serde-json-1+default-dev, librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.28.4 --all-targets --no-default-features --features multithread
Features: test-name=librust-sysinfo-dev:multithread
Depends: dh-cargo (>= 18), librust-serde-json-1+default-dev, librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.28.4 --all-targets --no-default-features --features rayon
Features: test-name=librust-sysinfo-dev:rayon
Depends: dh-cargo (>= 18), librust-serde-json-1+default-dev, librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sysinfo 0.28.4 --all-targets --no-default-features --features serde
Features: test-name=librust-sysinfo-dev:serde
Depends: dh-cargo (>= 18), librust-serde-json-1+default-dev, librust-tempfile-3+default-dev (>= 3.2-~~), @
Restrictions: allow-stderr, skip-not-installable
